#passwordError{
  display: none;
}
#password.ng-touched + #passwordError {
  display: block;
}
#password:valid + #passwordError {
  display: none;
}
#cpasswordError{
  display: none;
}
#password_confirmation.ng-touched + #cpasswordError {
  display: block;
}
#password_confirmation:valid + #cpasswordError {
  display: none;
}
#emailError{
  display: none;
}
#email.ng-touched + #emailError {
  display: block;
}
#email:valid + #emailError {
  display: none;
}
